import request from '@/utils/request'

export function listAssembly(query) {
  return request({
    url: '/warehouse-entry/page',
    method: 'get',
    params: query
  })
}

export function executeAssembly(query) {
  return request({
    url: '/warehouse-entry/execute',
    method: 'post',
    params:query
  })
}

export function createAssembly(data) {
  return request({
    url: '/warehouse-entry/add',
    method: 'post',
    data
  })
}

export function readAssembly(query) {
  return request({
    url: '/warehouse-entry/info',
    method: 'get',
    params:query
  })
}

export function updateAssembly(data) {
  return request({
    url: '/warehouse-entry/edit',
    method: 'post',
    data
  })
}

export function deleteAssembly(query) {
  return request({
    url: '/warehouse-entry/remove',
    method: 'post',
    params:query
  })
}
